Gravity 6.1.4 has --feature-gates=ALLAlpha=true: Why?

I’m having some serious issues with configmaps, and it looks to be related to a “SideServerApply” feature gate which is enabled due to all alpha feature gates being enabled. (--feature-gates=ALLAlpha=true)

This configuration of enabling all seems risky. Which feature gates are required and which are not? Is there a list per Gravity release? Lastly, what happens if I disable “SideServerApply”; does anything rely on it?

This has been in place for some time. I believe historically most Alpha feature gates have been relatively safe, as they are usually invoked through something like an annotation anyways.

We do not currently maintain a list of feature gates that are used by the gravity platform. I’m not aware of anything within the gravity platform specifically using the ServerSideApply feature.